Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename testutil


# Tests disabled, as the test suite calls methods that don't exist
# in the library
%global enable_tests 0

Name:		nodejs-testutil
Version:	0.7.0
Release:	alt1_4
Summary:	Contains methods to aid in automatic testing of your application

License:	MIT
URL:		https://github.com/jprichardson/node-testutil
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(colors)
BuildRequires:	npm(path-extra)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(shelljs)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(mkdirp)
%endif
Source44: import.info

%description
Contains methods to aid in automatic testing of your application.


%prep
%setup -q -n package


chmod -x package.json

%nodejs_fixdep colors
%nodejs_fixdep path-extra
%nodejs_fixdep rimraf
%nodejs_fixdep shelljs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_4
- new version

